Subject: Re: bug#28763: docbug (stat -t): missing field names in docs(manpage) for 'stat -t'

From: L A Walsh <[email-masked]>
Date: Mon, 09 Oct 2017 12:52:03 -0700

Assaf Gordon wrote:
> Hello,
> 
> On 2017-10-09 12:59 PM, L A Walsh wrote:
>> I typed stat -t to look at the terse form of 'stat', and see
>> a bunch of numbers -- but nowhere do I see what those numbers
>> are suppose to be (i.e. they aren't documented in the manpage
>> and they obviously aren't the same as what is in the non-terse display).
> 
> The "--terse" format is documented in the info manual,
> available either with "info stat" or online [1].
---
	Not in mine.

> 
> [1]
> https://www.gnu.org/software/coreutils/manual/html_node/stat-invocation.html#index-terse-output
> 
> Note that it has two output formats, one for filesystems (when using
> "-f") and the other for file/directories.
> 
> This is a (somewhat) recent addition by Bernhard Voelker
> in 2014 [2] , so if you have coreutils version 8.23 or older installed,
> it might not appear in the local "info" manual.
---
	According to the 'info' page, I have version:

GNU coreutils 8.26.18-5e871      January 2017                          STAT(1)

So I don't see it there either

Though, if it isn't in the manpage, it's not very easy to
find since stat is a gnu-only format that requires arcane
knowledge to use and navigate.  

> Perhaps it's worth mentioning in the help-screen/man-page that the
> full format is available in info/online ? What do others think?
---
Why not put it in the manpage?